Bug 1303946 - Duplicate key with auto increment
Summary: Duplicate key with auto increment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mariadb
Version: 7.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jakub Dorňák
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Depends On: 1300621
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-02 13:35 UTC by Marcel Kolaja
Modified: 2019-09-12 09:52 UTC (History)
12 users (show)

Fixed In Version: mariadb-5.5.47-1.el7_2
Doc Type: Bug Fix
Doc Text:
When more than one INSERT operation was executed concurrently on a non-empty InnoDB table with an AUTO_INCREMENT column defined as a primary key immediately after starting MariaDB, a race condition could occur. As a consequence, one of the concurrent INSERT operations failed with a "Duplicate key" error message. A patch has been applied to prevent the race condition. Now, each row inserted as a result of the concurrent INSERT operations receives a unique primary key, and the operations no longer fail in this scenario.
Clone Of: 1300621
Environment:
Last Closed: 2016-03-31 22:00:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0534 normal SHIPPED_LIVE Moderate: mariadb security and bug fix update 2016-04-01 01:50:48 UTC

Description Marcel Kolaja 2016-02-02 13:35:18 UTC
This bug has been copied from bug #1300621 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 10 errata-xmlrpc 2016-03-31 22:00:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0534.html


Note You need to log in before you can comment on or make changes to this bug.